scalar DateTime

schema {
    query: Query
    mutation: Mutation
}

type Query {

    getModule(id: ID!): Module
    getModules: [Module]
}

type Mutation {

    changeModule(_id: ID input: ModuleInput): Module
}

##Module

input ModuleInput{
    title: String
    short_description: String
    full_description: String
    themes: [String]
    repository_link: String
    repository_link_react: String
    order: Int
}

type Module{
    _id: ID
    title: String
    short_description: String
    full_description: String
    themes: [String]
    repository_link: String
    repository_link_react: String
    order: Int
}